# $Revision: 1.125 $, $Date: 2011/02/05 22:56:23 $
Summary:	GNOME base library
Summary(pl.UTF-8):	Podstawowa biblioteka GNOME
Name:		libgnome
Version:	2.32.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnome/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	a4345e6087ae6195d65a4674ffdca559
Patch0:		%{name}-load-config.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-vfs2-devel >= 2.24.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libcanberra-devel
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Suggests:	gnome-vfs2
Obsoletes:	gnome-objc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) jest przyjaznym dla
użytkownika zbiorem aplikacji i narzędzi do używania w połączeniu z
zarządcą okien pod X Window System. Pakiet libgnome zawiera biblioteki
nie związane z graficznym interfejsem potrzebne do uruchomienia GNOME.
Pakiet libgnomeui zawiera biblioteki GNOME zależne od X11.

%package libs
Summary:	libgnome library itself
Summary(pl.UTF-8):	Sama biblioteka libgnome
Group:		Libraries
Requires(post,postun):	/sbin/ldconfig
Requires:	gnome-vfs2-libs >= 2.24.0
Conflicts:	libgnome < 2.32.0-3

%description libs
libgnome library itself.

%description libs -l pl.UTF-8
Sama biblioteka libgnome.

%package devel
Summary:	Headers for libgnome
Summary(pl.UTF-8):	Pliki nagłówkowe libgnome
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.24.0
Requires:	gnome-vfs2-devel >= 2.24.0
Requires:	libbonobo-devel >= 2.24.0
Requires:	libcanberra-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to use
libgnome.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów korzystających z
libgnome.

%package static
Summary:	Static libgnome libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnome libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek libgnome.

%package apidocs
Summary:	libgnome API documentation
Summary(pl.UTF-8):	Dokumentacja API libgnome
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgnome API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgnome.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-esd \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
export _POSIX2_VERSION=199209
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# no static modules and *.la for bonobo modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install desktop_gnome_accessibility_keyboard.schemas
%gconf_schema_install desktop_gnome_accessibility_startup.schemas
%gconf_schema_install desktop_gnome_applications_at_mobility.schemas
%gconf_schema_install desktop_gnome_applications_at_visual.schemas
%gconf_schema_install desktop_gnome_applications_browser.schemas
%gconf_schema_install desktop_gnome_applications_office.schemas
%gconf_schema_install desktop_gnome_applications_terminal.schemas
%gconf_schema_install desktop_gnome_applications_window_manager.schemas
%gconf_schema_install desktop_gnome_background.schemas
%gconf_schema_install desktop_gnome_file_views.schemas
%gconf_schema_install desktop_gnome_interface.schemas
%gconf_schema_install desktop_gnome_lockdown.schemas
%gconf_schema_install desktop_gnome_peripherals_keyboard.schemas
%gconf_schema_install desktop_gnome_peripherals_mouse.schemas
%gconf_schema_install desktop_gnome_sound.schemas
%gconf_schema_install desktop_gnome_thumbnail_cache.schemas
%gconf_schema_install desktop_gnome_thumbnailers.schemas
%gconf_schema_install desktop_gnome_typing_break.schemas

%preun
%gconf_schema_uninstall desktop_gnome_accessibility_keyboard.schemas
%gconf_schema_uninstall desktop_gnome_accessibility_startup.schemas
%gconf_schema_uninstall desktop_gnome_applications_at_mobility.schemas
%gconf_schema_uninstall desktop_gnome_applications_at_visual.schemas
%gconf_schema_uninstall desktop_gnome_applications_browser.schemas
%gconf_schema_uninstall desktop_gnome_applications_office.schemas
%gconf_schema_uninstall desktop_gnome_applications_terminal.schemas
%gconf_schema_uninstall desktop_gnome_applications_window_manager.schemas
%gconf_schema_uninstall desktop_gnome_background.schemas
%gconf_schema_uninstall desktop_gnome_file_views.schemas
%gconf_schema_uninstall desktop_gnome_interface.schemas
%gconf_schema_uninstall desktop_gnome_lockdown.schemas
%gconf_schema_uninstall desktop_gnome_peripherals_keyboard.schemas
%gconf_schema_uninstall desktop_gnome_peripherals_mouse.schemas
%gconf_schema_uninstall desktop_gnome_sound.schemas
%gconf_schema_uninstall desktop_gnome_thumbnail_cache.schemas
%gconf_schema_uninstall desktop_gnome_thumbnailers.schemas
%gconf_schema_uninstall desktop_gnome_typing_break.schemas

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/gnome-open
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/gnome-default.xml
%dir %{_pixmapsdir}/backgrounds
%dir %{_pixmapsdir}/backgrounds/gnome
%{_pixmapsdir}/backgrounds/gnome/background-default.jpg
%{_mandir}/man7/gnome-options*
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_startup.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_mobility.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_visual.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_browser.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_office.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_terminal.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_window_manager.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_background.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_views.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_interface.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_lockdown.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_mouse.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_sound.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnail_cache.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnailers.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_typing_break.schemas
%{_sysconfdir}/sound

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-2.so.0
%attr(755,root,root) %{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-2.so
%{_includedir}/libgnome-2.0
%{_pkgconfigdir}/libgnome-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnome.spec,v $
Revision 1.125  2011/02/05 22:56:23  wiget
- up to 2.32.1
- use %{__rm} macro
- drop libtool file

Revision 1.124  2011/02/02 02:27:48  sparky
- -devel R: libcanberra-devel (required only through Requires.private in pc
  file, but libcanberra.pc defines -D_REENTRANT, which should be used)
- release: 5

Revision 1.123  2011/01/29 23:16:24  sparky
- BR: libcanberra-devel

Revision 1.122  2010/10/19 08:59:04  baggins
- rel 4
- added C:libgnome < 2.32.0-3 to libs package (devel-hints-en.txt:14)

Revision 1.121  2010/10/15 09:33:18  baggins
- rel 3
- moved libraries to -libs package for multiarch installs

Revision 1.120  2010/10/07 11:05:09  patrys
- suggest gnome-vfs2 for working protocol handlers
- rel 2

Revision 1.119  2010/09/29 07:01:09  megabajt
- updated to 2.32.0

Revision 1.118  2010/06/02 23:42:31  baggins
- rel 2
- drop ESD support, pulsaudio does the hardware, libcanberra software

Revision 1.117  2010/04/02 18:26:04  sls
- removed en@shaw locale

Revision 1.116  2010/04/02 18:10:10  sls
- ver. 2.30.0

Revision 1.115  2009/11/28 01:35:27  sparky
- BR: docbook-dtd412-xml

Revision 1.114  2009/09/26 16:37:36  megabajt
- updated to 2.28.0

Revision 1.113  2009/03/20 14:16:05  megabajt
- release 2

Revision 1.112  2009/03/17 21:21:33  megabajt
- updated to 2.26.0

Revision 1.111  2008/09/25 18:30:51  megabajt
- updated Source-md5

Revision 1.110  2008/09/25 18:16:59  megabajt
- updated to 2.24.1

Revision 1.109.2.3  2008/08/19 12:06:05  patrys
- 2.23.5

Revision 1.109.2.2  2008/06/16 20:59:14  megabajt
- updated to 2.23.4

Revision 1.109.2.1  2008/06/04 13:04:48  patrys
- 2.23.3

Revision 1.109  2008-03-11 15:25:39  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.108.2.1  2008-01-28 16:12:20  megabajt
- updated to 2.21.90

Revision 1.108  2007-12-20 19:33:34  qboosh
- ugh, typo; release 3

Revision 1.107  2007-12-20 19:03:55  qboosh
- ghost soname symlink
- release 2 (rebuild to drop false libcap dependency)

Revision 1.106  2007-10-17 17:50:18  megabajt
- updated to 2.20.1.1

Revision 1.105  2007/10/16 17:12:28  megabajt
- updated to 2.20.1

Revision 1.104  2007/09/17 16:22:46  megabajt
- owns /usr/share/gnome-background-properties and /usr/share/pixmaps/backgrounds
- package all files

Revision 1.103  2007/09/17 14:18:53  patrys
- 2.20.0

Revision 1.102.2.1  2007/08/28 07:56:05  megabajt
- updated to 2.19.1

Revision 1.102  2007/03/12 14:04:53  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.101.2.1  2007/02/28 14:59:44  megabajt
- updated to 2.17.92

Revision 1.101  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.100  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.99  2006/11/28 10:40:54  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.98  2006/09/04 17:17:14  grzegol
- 2.16.0

Revision 1.97  2006/08/08 18:45:31  freetz
- 2.15.2, added apidocs subpkg

Revision 1.96  2006/07/12 17:02:56  freetz
- rel.2 (after black-out)

Revision 1.95  2006/07/12 16:48:39  baggins
- load-config patch is NOT included in sources

Revision 1.94  2006/07/12 16:34:17  freetz
- 2.15.1, removed load-config patch (included), --as-needed support,
  updated BR/R

Revision 1.93  2006/06/07 14:26:19  freetz
- rel.4, refresh gtk-doc.make, bleeding edge deps

Revision 1.92  2006/05/23 17:10:58  baggins
- backport from AC-branch

Revision 1.89.4.3  2006/05/23 17:00:56  baggins
- rel 3
- use dynamically allocated buffers for config file reading,
  staticly sized buffer caused gnome to silently break on config files
  with lines longer than 4096 characters

Revision 1.91  2006/04/11 15:20:58  freetz
- 2.14.1

Revision 1.90  2006/04/01 20:47:07  freetz
- merged from DEVEL

Revision 1.89.2.6  2006/03/13 13:46:10  freetz
- 2.14.0, depend on gnome-vfs2 2.14.0

Revision 1.89.2.5  2006/02/28 08:41:19  freetz
- 2.13.90

Revision 1.89.2.4  2006/02/19 21:55:44  freetz
- updated BR

Revision 1.89.2.3  2006/02/18 20:48:19  freetz
- reverted partially last change

Revision 1.89.2.2  2006/02/18 20:00:08  freetz
- cleanup

Revision 1.89.2.1  2006/01/18 22:31:31  freetz
- 2.13.7

Revision 1.89  2005/09/06 10:49:59  aflinta
- added schemas patch to fix scheam installation, release 2

Revision 1.88  2005/09/06 10:16:37  aflinta
- merged from DEVEL, 2.12.0

Revision 1.86.2.5  2005/08/23 11:43:23  paladine
- sorted %%files again

Revision 1.86.2.4  2005/08/23 11:32:55  aflinta
- added missing manpage

Revision 1.86.2.3  2005/08/23 10:57:31  paladine
- updated to 2.11.3
- itemize schemas
- sorted %%files

Revision 1.86.2.2  2005/08/05 07:41:56  aflinta
- up to version 2.11.2

Revision 1.86.2.1  2005/07/03 15:28:22  freetz
- 2.11.1, popt patch already included

Revision 1.86  2005/05/04 11:12:06  charles
- BR: gettext-devel
- STBR

Revision 1.85  2005/04/29 13:21:46  qrczak
- libgnome-include-popt.patch: missing #include
- Release 4

Revision 1.84  2005/04/22 06:10:06  charles
- added R: popt-devel (in -devel)

Revision 1.83  2005/04/12 22:00:25  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.82  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.81  2005/04/10 16:38:29  freetz
- fixed empty macro calls

Revision 1.80  2005/04/10 16:33:48  freetz
- new style macros, %%preun for gconf_schema_uninstall added, rel.3

Revision 1.79  2005/03/20 21:21:50  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.78  2005/03/07 22:31:14  paladine
- merged from DEVEL

Revision 1.76.2.3  2005/03/07 17:51:31  wiget
- updated to 2.10.0
